<ion-content padding>
  <form [formGroup]="formgroup">
      <ion-list>
        <ion-item>
          <ion-label class="divInput">Correo</ion-label>
          <ion-input class="divInput" type="text" formControlName="email" [(ngModel)]="user.correo"></ion-input>
        </ion-item>

        <ion-item *ngIf="email.hasError('required') && email.touched">
          <p class="divInputError">Debe ingresar su correo electrónico</p>
        </ion-item>

        <ion-item *ngIf="email.hasError('email') && email.touched">
          <p class="divInputError">Formato de correo inválido</p>
        </ion-item>

        <ion-item>
          <ion-label class="divInput">Contraseña</ion-label>
          <ion-input class="divInput" type="password" formControlName="password" [(ngModel)]="user.clave"></ion-input>
        </ion-item>

        <ion-item *ngIf="password.hasError('required') && password.touched">
          <p class="divInputError">Debe ingresar su contraseña</p>
        </ion-item>
      </ion-list>
  </form>
  <button class="btnIngreso colorPrincipal" (click)="ingresar(user)">Login</button>
  <button class="btnIngreso colorSecundario" (click)="registrarse()">Registrarse</button>
  <button class="btnIngreso colorPrincipal" (click)="realizarPruebas()">Usuarios de prueba</button>

</ion-content>